<?php
/**
 * Clase Base Bean para BaseRhMarcacionColaboradorBN
 *
 * @package    Sedapal
 * @subpackage BaseRhMarcacionColaboradorBN
 * @author     Willy
 * @version    SVN:: BaseRhMarcacionColaboradorBN.class.php,v 1.1 2019-05-13 12:56:26 william.taype Exp $
 */
abstract class BaseRhMarcacionColaboradorBN
{
  protected $Idregistro;
  protected $Idtipo;
  protected $Idcolaborador;
  protected $Horaminutoinicio;
  protected $Flagdiasiguiente;
  protected $Horaminutofin;
  protected $Montodescuento;
  protected $Estado;
  protected $Secuencia;
  protected $Mensaje;
  protected $Error;

  public function getIdregistro(){
    return $this->Idregistro;
  }
  public function setIdregistro($v1){
    $this->Idregistro = $v1; 
  }

  public function getIdtipo(){
    return $this->Idtipo;
  }
  public function setIdtipo($v1){
    $this->Idtipo = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getHoraminutoinicio(){
    return $this->Horaminutoinicio;
  }
  public function setHoraminutoinicio($v1){
    $this->Horaminutoinicio = $v1; 
  }

  public function getFlagdiasiguiente(){
    return $this->Flagdiasiguiente;
  }
  public function setFlagdiasiguiente($v1){
    $this->Flagdiasiguiente = $v1; 
  }

  public function getHoraminutofin(){
    return $this->Horaminutofin;
  }
  public function setHoraminutofin($v1){
    $this->Horaminutofin = $v1; 
  }

  public function getMontodescuento(){
    return $this->Montodescuento;
  }
  public function setMontodescuento($v1){
    $this->Montodescuento = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getSecuencia(){
    return $this->Secuencia;
  }
  public function setSecuencia($v1){
    $this->Secuencia = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Rh_marcacion_colaboradorBN desde un RecordSet */
  public static function retrieveByRs( $o_Rh_marcacion_colaboradorRs )
  {
    $o_RhMarcacionColaboradorBN = new RhMarcacionColaboradorBN();
    $o_RhMarcacionColaboradorBN->setIdregistro( $o_Rh_marcacion_colaboradorRs['idregistro'] );
    $o_RhMarcacionColaboradorBN->setIdtipo( $o_Rh_marcacion_colaboradorRs['idtipo'] );
    $o_RhMarcacionColaboradorBN->setIdcolaborador( $o_Rh_marcacion_colaboradorRs['idcolaborador'] );
    $o_RhMarcacionColaboradorBN->setHoraminutoinicio( $o_Rh_marcacion_colaboradorRs['horaminutoinicio'] );
    $o_RhMarcacionColaboradorBN->setFlagdiasiguiente( $o_Rh_marcacion_colaboradorRs['flagdiasiguiente'] );
    $o_RhMarcacionColaboradorBN->setHoraminutofin( $o_Rh_marcacion_colaboradorRs['horaminutofin'] );
    $o_RhMarcacionColaboradorBN->setMontodescuento( $o_Rh_marcacion_colaboradorRs['montodescuento'] );
    $o_RhMarcacionColaboradorBN->setEstado( $o_Rh_marcacion_colaboradorRs['estado'] );
    $o_RhMarcacionColaboradorBN->setSecuencia( $o_Rh_marcacion_colaboradorRs['secuencia'] );
    return $o_RhMarcacionColaboradorBN;
  }
}